Skip to content

Create groups in batches

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

To create groups in batches, a group must contain a group name and a unique identifier code, and it must be a legal English identifier, such as developers.

Method name

ManagementClient.create_groups_batch

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a CreateGroupReqDto[]Yes-Batch grouping Array length limit: 50.

Request Response

Type: GroupListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "id": "60b49eb83fd80adb96f26e68",
    "code": "developer",
    "name": "Developers",
    "description": "Description content",
    "type": "static",
    "members": {
      "userId": "6229ffaxxxxxxxxcade3e3d9",
      "createdAt": "2022-07-03T03:20:30.000Z",
      "updatedAt": "2022-07-03T03:20:30.000Z",
      "status": "Activated",
      "workStatus": "Active",
      "externalId": "10010",
      "email": "test@example.com",
      "phone": "188xxxx8888",
      "phoneCountryCode": "+86",
      "username": "bob",
      "name": "xxx",
      "nickname": "xxx",
      "photo": "https://files.authing.co/authing-console/default-user-avatar.png",
      "loginsCount": 3,
      "lastLogin": "2022-07-03T03:20:30.000Z",
      "lastIp": "127.0.0.1",
      "gender": "M",
      "emailVerified": true,
      "phoneVerified": true,
      "passwordLastSetAt": "2022-07-03T03:20:30.000Z",
      "birthdate": "2022-06-03",
      "country": "CN",
      "province": "BJ",
      "city": "BJ",
      "address": "xxxxx",
      "streetAddress": "xxxxx",
      "postalCode": "438100",
      "company": "steamory",
      "browser": "Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0",
      "device": "iOS",
      "givenName": "xx",
      "familyName": "xxx",
      "middleName": "James",
      "profile": "alice",
      "preferredUsername": "alice",
      "website": "https://my-website.com",
      "zoneinfo": "GMT-08:00",
      "locale": "af",
      "formatted": "132, My Street, Kingston, New York 12401.",
      "region": "Xinjiang Uyghur Autonomous Region",
      "userSourceType": "register",
      "passwordSecurityLevel": 1,
      "departmentIds": "[\"624d930c3xxxx5c08dd4986e\",\"624d93102xxxx012f33cd2fe\"]",
      "identities": {
        "identityId": "62299d8b866d2dab79a89dc4",
        "extIdpId": "6076bacxxxxxxxxd80d993b5",
        "provider": "wechat",
        "type": "openid",
        "userIdInIdp": "oj7Nq05R-RRaqak0_YlMLnnIwsvg",
        "accessToken": "57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx",
        "refreshToken": "57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx",
        "originConnIds": "[\"605492ac41xxxxe0362f0707\"]"
      },
      "identityNumber": "420421xxxxxxxx1234",
      "customData": {
        "school": "xxxxx",
        "age": 22
      },
      "statusChangedAt": "2022-07-03T03:20:30.000Z"
    }
  }
}

Data Structure

CreateGroupReqDto

NameTypeRequiredDescriptionSample value
codestringYesGroup codedeveloper
namestringYesGroup nameDeveloper
descriptionstringYesGroup descriptionDescription content
typestringYesGroup typestatic
customDataobjectNoCustom data, the key in the passed object must first define the relevant custom field in the user pool{"custom_id":"xxx"}

GroupDto

nametypeIs it required?DescriptionSample value
idstringyesGroup ID60b49eb83fd80adb96f26e68
codestringyesGroup codedeveloper
namestringyesGroup nameDeveloper
descriptionstringyesGroup descriptionDescription content
typestringyesGroup typestatic
metadataSourcearrayyesGroup metadata information
membersarrayyesMember list Nested type: <a UserDto.

UserDto

| Name | Type | Required | Description | Sample value | | ------------------------ | ------- | -------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- | --- | ------- | ------ | --- | ------------------ | ------- | | userId | string | Yes | The unique identifier of the user, which can be user ID, user name, email address, mobile phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id. | 6229ffaxxxxxxxxcade3e3d9 | | createdAt | string | yes | creation time | 2022-07-03T03:20:30.000Z | | updatedAt | string | yes | update time | 2022-07-03T03:20:30.000Z | | status | string | yes | current status of the account:
- Activated: normal status
- Suspended: deactivated
- Deactivated: disabled
- Resigned: resigned
- Archived: archived
| Suspended | | workStatus | string | yes | current work status of the account | Closed | | externalId | string | no | third-party external ID | 10010 | | email | string | No | Email address, case insensitive | test@example.com | | phone | string | No | Phone number without area code. If it is an international phone number, please specify the area code in the phoneCountryCode parameter. | 188xxxx8888 | | phoneCountryCode | string | No | Phone area code. This parameter is optional for phone numbers in mainland China. The GenAuth SMS service does not currently support international phone numbers. You need to configure the corresponding international SMS service in the GenAuth console. For a complete list of phone area codes, please refer to https://en.wikipedia.org/wiki/List_of_country_calling_codes. | +86 | | username | string | No | Username, unique in the user pool | bob | | name | string | No | User's real name, not unique | xxx | | nickname | string | No | Nickname | xxx | | photo | string | No | Avatar link | https://files.authing.co/authing-console/default-user-avatar.png | | loginsCount | number | No | Total number of historical logins | 3 | | lastLogin | string | No | Last login time | 2022-07-03T03:20:30.000Z | | lastIp | string | No | Last login IP | 127.0.0.1 | | gender | string | Yes | Gender:
- M: Male, male
- F: Female, female
- U: Unknown, unknown
| M | | emailVerified | boolean | yes | Is the email verified? | true | | phoneVerified | boolean | yes | Is the phone number verified? | true | | passwordLastSetAt | string | no | The time when the user last changed his password | 2022-07-03T03:20:30.000Z | | birthdate | string | no | Date of birth | 2022-06-03 | | country | string | no | Country | CN | | province | string | no | Province | BJ | | city | string | no | City | BJ | | address | string | no | Address | xxxxx | | streetAddress | string | no | Street address | xxxxx | | postalCode | string | no | Postal code | 438100 | | company | string | no | Company | steamory | | browser | string | no | Last browser UA | Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0 | | device | string | no | Last device | iOS | | givenName | string | no | First name | xx | | familyName | string | no | Last name | xxx | | middleName | string | no | Middle name | James | | profile | string | No | Preferred Username | alice | | preferredUsername | string | no | Preferred Username | alice | | website | string | no | User personal website | https://my-website.com | | zoneinfo | string | no | User time zone information | GMT-08:00 | | locale | string | no | Locale | af | | formatted | string | no | Full standard address | 132, My Street, Kingston, New York 12401. | | region | string | no | User location | Xinjiang Uyghur Autonomous Region | | userSourceType | string | yes | Source type:
- excel: Imported through excel
- register: User self-registration
- adminCreated: Manual creation by the administrator backend (including creating users using the management API)
- syncTask: Synchronization task of the synchronization center
| excel | | userSourceId | string | No | Application ID or sync task ID | | | lastLoginApp | string | No | ID of the application where the user last logged in | | | mainDepartmentId | string | No | ID of the user's main department | | | lastMfaTime | string | no | The time when the user last performed MFA authentication | | | passwordSecurityLevel | number | no | User password security strength level | 1 | | resetPasswordOnNextLogin | boolean | no | Require password reset on next login | | | registerSource | array | no | Registration method | | | departmentIds | array | no | User department ID list | ["624d930c3xxxx5c08dd4986e","624d93102xxxx012f33cd2fe"] | | identities | array | no | External identity source Nested type: <a IdentityDto. | | | identityNumber | string | No | User ID number | 420421xxxxxxxx1234 | | customData | object | No | User's extended field data | {"school":"xxxxx","age":22} | | postIdList | array | No | User-associated department ID | | | statusChangedAt | string | No | User status last modified time | 2022-07-03T03:20:30.000Z | | tenantId | string | No | User tenant ID | |

IdentityDto

NameTypeIs this field required?DescriptionSample value
identityIdstringyesIdentity source ID62299d8b866d2dab79a89dc4
extIdpIdstringyesIdentity source connection ID6076bacxxxxxxxxd80d993b5
providerstringyesExternal identity source type:
- wechat: WeChat
- qq: QQ
- wechatwork: WeChat for Business
- dingtalk: DingTalk
- weibo: Weibo
- github: GitHub
- alipay: Alipay
- baidu: Baidu
- lark: Feishu
- welink: Welink
- yidun: NetEase Yidun
- qingcloud: Qingyun
- google: Google
- gitlab: GitLab
- gitee: Gitee
- twitter: Twitter
- facebook: Facebook
- slack: Slack
- linkedin: Linkedin
- instagram: Instagram
- oidc: OIDC-type enterprise identity source
- oauth2: OAuth2-type enterprise identity source
- saml: SAML-type enterprise identity source
- ldap: LDAP-type enterprise identity source
- ad: AD-type enterprise identity source
- cas: CAS-type enterprise identity source
- azure-ad: Azure AD-type enterprise identity source
oidc
typestringyesIdentity type, such as unionid, openid, primaryopenid
userIdInIdpstringyesID in the external identity sourceoj7Nq05R-RRaqak0_YlMLnnIwsvg
userInfoInIdpobjectyesUser's identity information in idp
accessTokenstringnoAccess Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management side interface will not return it).57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx
refreshTokenstringnoRefresh Token in the external identity source (this parameter is only returned when the user actively obtains it, and the management side interface will not return it).57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx
originConnIdsarrayyesList of identity origin connection IDs that the identity came from["605492ac41xxxxe0362f0707"]

Agent infrastructure for identity, memory, and web action.